Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResourceSubscriptionReal

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceSubscriptionReal

All Implemented Interfaces:
  `Serializable`, `Idable`

public class IpResourceSubscriptionReal extends Id
Лог фактического использования ресурса. Меняется всегда с текущего дня (или в будущем ).

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IpResourceSubscriptionReal.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResourceSubscriptionReal()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IpResourceSubscriptionReal.Builder`
  `builder()`
  `byte[]`
  `getAddressFrom()`
  `byte[]`
  `getAddressTo()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `void`
  `setAddressFrom(byte[] addressFrom)`
  `void`
  `setAddressTo(byte[] addressTo)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setSubscriberId(int subscriberId)`
  `void`
  `setSubscriberTitle(String subscriberTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscriptionReal

    public IpResourceSubscriptionReal()

- ## Method Details

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom(byte[] addressFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo(byte[] addressTo)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId(int subscriberId)

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle(String subscriberTitle)

  - ### builder

    public static IpResourceSubscriptionReal.Builder builder()